FormTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.html.FormTag,FormTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class FormTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.html.FormTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  NestedFormTag

public class FormTag
extends javax.servlet.jsp.tagext.TagSupport

Custom tag that represents an input form, associated with a bean whose properties correspond to the various fields of the form.

Version:
  $Revision: 1.1 $ $Date: 2003-08-26 13:57:44 +0100 (Tue, 26 Aug 2003) $
Author:
  Craig R. McClanahan, Martin Cooper, James Turner, David Graham
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `action` The action URL to which this form should be submitted, if any.
`protected java.lang.String` | `beanName` The name of the form bean to (create and) use.
`protected java.lang.String` | `beanScope` The scope of the form bean to (create and) use.
`protected java.lang.String` | `beanType` The type of the form bean to (create and) use.
`protected java.lang.String` | `enctype` The content encoding to be used on a POST submit.
`protected java.lang.String` | `focus` The name of the field to receive focus, if any.
`protected java.lang.String` | `focusIndex` The index in the focus field array to receive focus.
`protected static java.lang.String` | `lineEnd` The line ending string.
`protected ActionMapping` | `mapping` The ActionMapping defining where we will be submitting this form
`protected static MessageResources` | `messages` The message resources for this package.
`protected java.lang.String` | `method` The request method used when submitting this form.
`protected ModuleConfig` | `moduleConfig` The module configuration for our module.
`protected java.lang.String` | `name` The attribute key under which our associated bean is stored.
`protected java.lang.String` | `onreset` The onReset event script.
`protected java.lang.String` | `onsubmit` The onSubmit event script.
`protected java.lang.String` | `scope` The scope (request or session) under which our associated bean is stored.
`protected ActionServlet` | `servlet` The ActionServlet instance we are associated with (so that we can initialize the `servlet` property on any form bean that we create).
`protected java.lang.String` | `style` The style attribute associated with this tag.
`protected java.lang.String` | `styleClass` The style class associated with this tag.
`protected java.lang.String` | `styleId` The identifier associated with this tag.
`protected java.lang.String` | `target` The window target.
`protected java.lang.String` | `type` The Java class name of the bean to be created, if necessary.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormTag()`

Method Summary
`int` | `doEndTag()` Render the end of this form.
`int` | `doStartTag()` Render the beginning of this form.
`java.lang.String` | `getAction()` Return the action URL to which this form should be submitted.
`java.lang.String` | `getBeanName()` Return the name of the form bean corresponding to this tag.
`java.lang.String` | `getEnctype()` Return the content encoding used when submitting this form.
`java.lang.String` | `getFocus()` Return the focus field name for this form.
`java.lang.String` | `getFocusIndex()` Returns the focusIndex.
`java.lang.String` | `getMethod()` Return the request method used when submitting this form.
`java.lang.String` | `getName()` Return the attribute key name of our bean.
`java.lang.String` | `getOnreset()` Return the onReset event script.
`java.lang.String` | `getOnsubmit()` Return the onSubmit event script.
`java.lang.String` | `getScope()` Return the attribute scope of our bean.
`java.lang.String` | `getStyle()` Return the style attribute for this tag.
`java.lang.String` | `getStyleClass()` Return the style class for this tag.
`java.lang.String` | `getStyleId()` Return the style identifier for this tag.
`java.lang.String` | `getTarget()` Return the window target.
`java.lang.String` | `getType()` Return the Java class of our bean.
`protected void` | `initFormBean()` Locate or create the bean associated with our form.
`private boolean` | `isXhtml()` Returns true if this tag should render as xhtml.
`protected void` | `lookup()` Look up values for the `name`, `scope`, and `type` properties if necessary.
`void` | `release()` Release any acquired resources.
`protected java.lang.String` | `renderFocusJavascript()` Generates javascript to set the initial focus to the form element given in the tag's "focus" attribute.
`protected java.lang.String` | `renderFormStartElement()` Generates the opening `<form>` element with appropriate attributes.
`protected java.lang.String` | `renderToken()` Generates a hidden input field with token information, if any.
`void` | `setAction(java.lang.String action)` Set the action URL to which this form should be submitted.
`void` | `setEnctype(java.lang.String enctype)` Set the content encoding used when submitting this form.
`void` | `setFocus(java.lang.String focus)` Set the focus field name for this form.
`void` | `setFocusIndex(java.lang.String focusIndex)` Sets the focusIndex.
`void` | `setMethod(java.lang.String method)` Set the request method used when submitting this form.
`void` | `setName(java.lang.String name)` Set the attribute key name of our bean.
`void` | `setOnreset(java.lang.String onReset)` Set the onReset event script.
`void` | `setOnsubmit(java.lang.String onSubmit)` Set the onSubmit event script.
`void` | `setScope(java.lang.String scope)` Set the attribute scope of our bean.
`void` | `setStyle(java.lang.String style)` Set the style attribute for this tag.
`void` | `setStyleClass(java.lang.String styleClass)` Set the style class for this tag.
`void` | `setStyleId(java.lang.String styleId)` Set the style identifier for this tag.
`void` | `setTarget(java.lang.String target)` Set the window target.
`void` | `setType(java.lang.String type)` Set the Java class of our bean.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    protected java.lang.String action

  The action URL to which this form should be submitted, if any.

### moduleConfig

    protected ModuleConfig moduleConfig

  The module configuration for our module.

### enctype

    protected java.lang.String enctype

  The content encoding to be used on a POST submit.

### focus

    protected java.lang.String focus

  The name of the field to receive focus, if any.

### focusIndex

    protected java.lang.String focusIndex

  The index in the focus field array to receive focus. This only applies if the field given in the focus attribute is actually an array of fields. This allows a specific field in a radio button array to receive focus while still allowing indexed field names like "myRadioButtonField[1]" to be passed in the focus attribute.

  Since:
    Struts 1.1

### lineEnd

    protected static java.lang.String lineEnd

  The line ending string.

### mapping

    protected ActionMapping mapping

  The ActionMapping defining where we will be submitting this form

### messages

    protected static MessageResources messages

  The message resources for this package.

### method

    protected java.lang.String method

  The request method used when submitting this form.

### name

    protected java.lang.String name

  The attribute key under which our associated bean is stored.

### onreset

    protected java.lang.String onreset

  The onReset event script.

### onsubmit

    protected java.lang.String onsubmit

  The onSubmit event script.

### scope

    protected java.lang.String scope

  The scope (request or session) under which our associated bean is stored.

### servlet

    protected ActionServlet servlet

  The ActionServlet instance we are associated with (so that we can initialize the `servlet` property on any form bean that we create).

### style

    protected java.lang.String style

  The style attribute associated with this tag.

### styleClass

    protected java.lang.String styleClass

  The style class associated with this tag.

### styleId

    protected java.lang.String styleId

  The identifier associated with this tag.

### target

    protected java.lang.String target

  The window target.

### type

    protected java.lang.String type

  The Java class name of the bean to be created, if necessary.

### beanName

    protected java.lang.String beanName

  The name of the form bean to (create and) use. This is either the same as the 'name' attribute, if that was specified, or is obtained from the associated `ActionMapping` otherwise.

### beanScope

    protected java.lang.String beanScope

  The scope of the form bean to (create and) use. This is either the same as the 'scope' attribute, if that was specified, or is obtained from the associated `ActionMapping` otherwise.

### beanType

    protected java.lang.String beanType

  The type of the form bean to (create and) use. This is either the same as the 'type' attribute, if that was specified, or is obtained from the associated `ActionMapping` otherwise.

Constructor Detail

### FormTag

    public FormTag()

Method Detail

### getBeanName

    public java.lang.String getBeanName()

  Return the name of the form bean corresponding to this tag. There is no corresponding setter method; this method exists so that the nested tag classes can obtain the actual bean name derived from other attributes of the tag.

### getAction

    public java.lang.String getAction()

  Return the action URL to which this form should be submitted.

### setAction

    public void setAction(java.lang.String action)

  Set the action URL to which this form should be submitted.

  Parameters:
    `action` - The new action URL

### getEnctype

    public java.lang.String getEnctype()

  Return the content encoding used when submitting this form.

### setEnctype

    public void setEnctype(java.lang.String enctype)

  Set the content encoding used when submitting this form.

  Parameters:
    `enctype` - The new content encoding

### getFocus

    public java.lang.String getFocus()

  Return the focus field name for this form.

### setFocus

    public void setFocus(java.lang.String focus)

  Set the focus field name for this form.

  Parameters:
    `focus` - The new focus field name

### getMethod

    public java.lang.String getMethod()

  Return the request method used when submitting this form.

### setMethod

    public void setMethod(java.lang.String method)

  Set the request method used when submitting this form.

  Parameters:
    `method` - The new request method

### getName

    public java.lang.String getName()

  Return the attribute key name of our bean.

### setName

    public void setName(java.lang.String name)

  Set the attribute key name of our bean.

  Parameters:
    `name` - The new attribute key name

### getOnreset

    public java.lang.String getOnreset()

  Return the onReset event script.

### setOnreset

    public void setOnreset(java.lang.String onReset)

  Set the onReset event script.

  Parameters:
    `onReset` - The new event script

### getOnsubmit

    public java.lang.String getOnsubmit()

  Return the onSubmit event script.

### setOnsubmit

    public void setOnsubmit(java.lang.String onSubmit)

  Set the onSubmit event script.

  Parameters:
    `onSubmit` - The new event script

### getScope

    public java.lang.String getScope()

  Return the attribute scope of our bean.

### setScope

    public void setScope(java.lang.String scope)

  Set the attribute scope of our bean.

  Parameters:
    `scope` - The new attribute scope

### getStyle

    public java.lang.String getStyle()

  Return the style attribute for this tag.

### setStyle

    public void setStyle(java.lang.String style)

  Set the style attribute for this tag.

  Parameters:
    `style` - The new style attribute

### getStyleClass

    public java.lang.String getStyleClass()

  Return the style class for this tag.

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

  Set the style class for this tag.

  Parameters:
    `styleClass` - The new style class

### getStyleId

    public java.lang.String getStyleId()

  Return the style identifier for this tag.

### setStyleId

    public void setStyleId(java.lang.String styleId)

  Set the style identifier for this tag.

  Parameters:
    `styleId` - The new style identifier

### getTarget

    public java.lang.String getTarget()

  Return the window target.

### setTarget

    public void setTarget(java.lang.String target)

  Set the window target.

  Parameters:
    `target` - The new window target

### getType

    public java.lang.String getType()

  Return the Java class of our bean.

### setType

    public void setType(java.lang.String type)

  Set the Java class of our bean.

  Parameters:
    `type` - The new Java class

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Render the beginning of this form.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### initFormBean

    protected void initFormBean()
                         throws javax.servlet.jsp.JspException

  Locate or create the bean associated with our form.

  Throws:
    `javax.servlet.jsp.JspException`
  Since:
    Struts 1.1

### renderFormStartElement

    protected java.lang.String renderFormStartElement()

  Generates the opening `<form>` element with appropriate attributes.

  Since:
    Struts 1.1

### renderToken

    protected java.lang.String renderToken()

  Generates a hidden input field with token information, if any.

  Returns:
    A hidden input field containing the token.
  Since:
    Struts 1.1

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Render the end of this form.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### renderFocusJavascript

    protected java.lang.String renderFocusJavascript()

  Generates javascript to set the initial focus to the form element given in the tag's "focus" attribute.

  Since:
    Struts 1.1

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### lookup

    protected void lookup()
                   throws javax.servlet.jsp.JspException

  Look up values for the `name`, `scope`, and `type` properties if necessary.

  Throws:
    `javax.servlet.jsp.JspException` - if a required value cannot be looked up

### isXhtml

    private boolean isXhtml()

  Returns true if this tag should render as xhtml.

### getFocusIndex

    public java.lang.String getFocusIndex()

  Returns the focusIndex.

  Returns:
    String

### setFocusIndex

    public void setFocusIndex(java.lang.String focusIndex)

  Sets the focusIndex.

  Parameters:
    `focusIndex` - The focusIndex to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation